Skip to main content

List of Connect Clusters

GET 

/usm/v1/connect-clusters

Preview

Retrieve a sorted, filtered, paginated list of all connect clusters.

Request

Responses

Connect Cluster.

Response Headers
    X-Request-Id

    The unique identifier for the API request.

    X-RateLimit-Limit

    The maximum number of requests you're permitted to make per time period.

    X-RateLimit-Remaining

    The number of requests remaining in the current rate limit window.

    X-RateLimit-Reset

    The relative time in seconds until the current rate-limit window resets.

    Important: This differs from Github and Twitter's same-named header which uses UTC epoch seconds. We use relative time to avoid client/server time synchronization issues.

OpenAPI definition (YAML)
paths:
  /usm/v1/connect-clusters:
    get:
      x-lifecycle-stage: Preview
      x-self-access: true
      operationId: listUsmV1ConnectClusters
      description: '[![Preview](https://img.shields.io/badge/Lifecycle%20Stage-Preview-%2300afba)](#section/Versioning/API-Lifecycle-Policy)


        Retrieve a sorted, filtered, paginated list of all connect clusters.'
      parameters:
      - name: environment
        in: query
        required: true
        schema:
          description: Filter a collection by a string search
          type: string
          title: SearchFilter
        example: env-00000
        description: Filter the results by exact match for environment.
      - name: page_size
        in: query
        required: false
        schema:
          type: integer
          default: 10
          maximum: 100
          x-max-page-items: 500
        description: A pagination size for collection requests.
      - name: page_token
        in: query
        required: false
        schema:
          type: string
          maxLength: 255
        description: An opaque pagination token for collection requests.
      tags:
      - Connect Clusters (usm/v1)
      security:
      - cloud-api-key: []
      - confluent-sts-access-token: []
      responses:
        '200':
          description: Connect Cluster.
          content:
            application/json:
              schema:
                allOf:
                - type: object
                  description: '`ConnectCluster` object represent Confluent Platform Connect clusters
                    registered with Confluent Cloud.

                    The API allows you to create and delete ConnectCluster.



                    ## The Connect Clusters Model

                    <SchemaDefinition schemaRef="#/components/schemas/usm.v1.ConnectCluster" />'
                  required:
                  - api_version
                  - kind
                  - metadata
                  - data
                  properties:
                    api_version:
                      type: string
                      enum:
                      - usm/v1
                      description: APIVersion defines the schema version of this representation of a resource.
                      readOnly: true
                    kind:
                      type: string
                      description: Kind defines the object this REST resource represents.
                      readOnly: true
                      enum:
                      - ConnectClusterList
                    metadata:
                      allOf:
                      - type: object
                        description: ListMeta describes metadata that resource collections may have
                        properties:
                          first:
                            description: A link to the first page of results. If a response does not contain
                              a first link, then direct navigation to the first page is not supported.
                            type: string
                            format: uri
                            nullable: true
                            example: https://api.confluent.cloud/v2/resourcekinds
                          last:
                            description: A link to the last page of results. If a response does not contain
                              a last link, then direct navigation to the last page is not supported.
                            type: string
                            format: uri
                            nullable: true
                            example: https://api.confluent.cloud/v2/resourcekinds?page_token=bcAOehAY8F16YD84Z1wT
                          prev:
                            description: A link to the previous page of results. If a response does not
                              contain a prev link, then either there is no previous data or backwards
                              traversal through the result set is not supported.
                            type: string
                            format: uri
                            nullable: true
                            example: https://api.confluent.cloud/v2/resourcekinds?page_token=YIXRY97wWYmwzrax4dld
                          next:
                            description: A link to the next page of results. If a response does not contain
                              a next link, then there is no more data available.
                            type: string
                            format: uri
                            nullable: true
                            example: https://api.confluent.cloud/v2/resourcekinds?page_token=UvmDWOB1iwfAIBPj6EYb
                          total_size:
                            description: Number of records in the full result set. This response may be
                              paginated and have a smaller number of records.
                            type: integer
                            format: int32
                            minimum: 0
                            example: 123
                        title: ListMeta
                      - properties:
                          first:
                            example: https://api.confluent.cloud/usm/v1/connect-clusters
                          last:
                            example: https://api.confluent.cloud/usm/v1/connect-clusters?page_token=bcAOehAY8F16YD84Z1wT
                          prev:
                            example: https://api.confluent.cloud/usm/v1/connect-clusters?page_token=YIXRY97wWYmwzrax4dld
                          next:
                            example: https://api.confluent.cloud/usm/v1/connect-clusters?page_token=UvmDWOB1iwfAIBPj6EYb
                    data:
                      type: array
                      description: A data property that contains an array of resource items. Each entry
                        in the array is a separate resource.
                      items:
                        allOf:
                        - type: object
                          description: '`ConnectCluster` object represent Confluent Platform Connect clusters
                            registered with Confluent Cloud.

                            The API allows you to create and delete ConnectCluster.



                            ## The Connect Clusters Model

                            <SchemaDefinition schemaRef="#/components/schemas/usm.v1.ConnectCluster" />'
                          properties:
                            api_version:
                              type: string
                              enum:
                              - usm/v1
                              description: APIVersion defines the schema version of this representation
                                of a resource.
                              readOnly: true
                            kind:
                              type: string
                              description: Kind defines the object this REST resource represents.
                              readOnly: true
                              enum:
                              - ConnectCluster
                            id:
                              description: ID is the "natural identifier" for an object within its scope/namespace;
                                it is normally unique across time but not space. That is, you can assume
                                that the ID will not be reclaimed and reused after an object is deleted
                                ("time"); however, it may collide with IDs for other object `kinds` or
                                objects of the same `kind` within a different scope/namespace ("space").
                              type: string
                              maxLength: 255
                              readOnly: true
                              example: dlz-f3a90de
                            confluent_platform_connect_cluster_id:
                              type: string
                              description: The unique identifier of the Connect cluster within the Confluent
                                Platform environment.
                              example: connect-group-xyz123
                              x-immutable: true
                            kafka_cluster_id:
                              type: string
                              description: 'The unique identifier of the metadata Kafka cluster for the
                                Connect Cluster.

                                '
                              example: 4k0R9d1GTS5tI9f4Y2xZ0Q
                              x-immutable: true
                            usm_kafka_cluster_id:
                              type: string
                              description: The unique identifier of the metadata Kafka cluster for the
                                Connect Cluster.
                              example: usmkc-00000
                              x-immutable: true
                              readOnly: true
                            cloud:
                              type: string
                              description: 'The cloud service provider where the metadata for the Connect
                                Cluster should be stored.

                                This field is optional. If provided, ''region'' must also be provided.

                                If neither ''cloud'' nor ''region'' are provided, the cloud provider of
                                the associated

                                metadata Kafka cluster (identified by ''kafka_cluster_id'') will be used
                                as a fallback.

                                '
                              example: AWS
                              x-immutable: true
                              enum:
                              - AWS
                              - GCP
                              - AZURE
                            region:
                              type: string
                              description: 'The home region of the Confluent Platform Connect cluster
                                where the metadata should be stored.

                                This field is optional. If provided, ''cloud'' must also be provided.

                                If neither ''cloud'' nor ''region'' are provided, the home region of the
                                associated

                                metadata Kafka cluster (identified by ''kafka_cluster_id'') will be used
                                as a fallback.

                                '
                              example: us-east-1
                              x-immutable: true
                            environment:
                              allOf:
                              - type: object
                                description: ObjectReference provides information for you to locate the
                                  referred object
                                required:
                                - id
                                - related
                                - resource_name
                                properties:
                                  id:
                                    type: string
                                    description: ID of the referred resource
                                    minLength: 1
                                    maxLength: 255
                                  environment:
                                    type: string
                                    description: Environment of the referred resource, if env-scoped
                                    minLength: 1
                                    maxLength: 255
                                  related:
                                    type: string
                                    format: uri
                                    description: API URL for accessing or modifying the referred object
                                    minLength: 1
                                    readOnly: true
                                  resource_name:
                                    type: string
                                    format: uri
                                    description: CRN reference to the referred resource
                                    minLength: 1
                                    readOnly: true
                                title: EnvScopedObjectReference
                              description: The environment to which this belongs.
                              x-immutable: true
                          title: usm.v1.ConnectCluster
                        - type: object
                          required:
                          - id
                          - confluent_platform_connect_cluster_id
                          - kafka_cluster_id
                          - environment
                      uniqueItems: true
                  title: usm.v1.ConnectClusterList
                - type: object
                  properties:
                    data:
                      type: array
                      items:
                        properties:
                          environment:
                            example:
                              id: env-00000
                              related: https://api.confluent.cloud/v2/environments/env-00000
                              resource_name: https://api.confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/environment=env-00000
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
        '400':
          description: Bad Request
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '400'
                  code: invalid_filter
                  title: Invalid Filter
                  detail: The 'delorean' resource can't be filtered by 'num_doors'
                  source:
                    parameter: num_doors
        '401':
          x-summary: Unauthorized
          description: The request lacks valid authentication credentials for this resource.
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            WWW-Authenticate:
              schema:
                type: string
              description: The unique identifier for the API request.
              example: Basic error="invalid_key", error_description="The API Key is invalid"
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '401'
                  code: user_unauthenticated
                  title: Authentication Required
                  detail: Valid authentication credentials must be provided
        '403':
          x-summary: Forbidden
          description: The access credentials were considered insufficient to grant access
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '403'
                  code: user_unauthorized
                  title: User Access Unauthorized
                  detail: The user 'mcfly' is not allowed to access the 'delorean' resource without the
                    'plutonium' role.
        '429':
          description: Rate Limit Exceeded
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
            Retry-After:
              schema:
                type: integer
              description: The number of seconds to wait until the rate limit window resets. Only sent
                when the rate limit is reached.
        '500':
          description: Oops, something went wrong!
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '500'
                  code: out_of_gas
                  title: DeLorean Out Of Gas
                  detail: The DeLorean has run out of gas, but Doc Brown will fill 'er up for you asap
      servers:
      - url: https://api.confluent.cloud
        description: Confluent Cloud API